/*
*****************************************************************************
**                                                                          *
**                     COPYRIGHT (c) 1990, 1991 BY                          *
**             DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASS.                *
**                         ALL RIGHTS RESERVED                              *
**                                                                          *
**  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND  COPIED  *
**  ONLY  IN  ACCORDANCE  WITH  THE  TERMS  OF  SUCH  LICENSE AND WITH THE  *
**  INCLUSION OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR  ANY  OTHER  *
**  COPIES  THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY  *
**  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE  IS  HEREBY  *
**  TRANSFERRED.                                                            *
**                                                                          *
**  THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE  WITHOUT  NOTICE  *
**  AND  SHOULD  NOT  BE  CONSTRUED  AS  A COMMITMENT BY DIGITAL EQUIPMENT  *
**  CORPORATION.                                                            *
**                                                                          *
**  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE OR  RELIABILITY  OF  ITS  *
**  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 *
**                                                                          *
*****************************************************************************/

#ifndef _api_h
#define _api_h

#ifndef PROTOTYPE
#define PROTOTYPE(args) args
#endif


#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xatom.h>
#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <string.h>

/* Enumerated types */

typedef enum { helpTopic, helpWidget } HelpObject;
typedef enum { helpDefaultWindow, helpNewWindow } HelpWindowUsage;
typedef enum _HelpStatus
{ 
    helpSuccess, helpBusy, 
    helpStartupFailure, helpCreateClientFailure, 
    helpInvalidObject, helpSendEventFailure,
    helpNoBookSpecified
} HelpStatus;

/* Help API declarations */

extern HelpStatus  HelpOpen
    PROTOTYPE((XtPointer *, Widget, char *, void ((*)(Boolean)), 
	       				void ((*)(char *))));
extern HelpStatus  HelpDisplay
    PROTOTYPE((XtPointer, char *, HelpObject, char *));
extern HelpStatus  HelpClose
    PROTOTYPE((XtPointer));

#endif /* _api_h */
